Bug 190382 - Xen UUID needs to be passed up with the hardware profile
Xen UUID needs to be passed up with the hardware profile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Vetere
Brandon Perkins
:
Depends On:
Blocks: 189917
  Show dependency treegraph
 
Reported: 2006-05-01 16:24 EDT by John Wregglesworth
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHN490
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 16:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-05-01 16:24:02 EDT
Description of problem: We need to modify up2date so it will pass up a Xen UUID
with the hardware profile when it's running on a Xen guest. This shouldn't be
too difficult. libvirt provides access to the UUID, so it should be a simple
matter to get it from inside hardware.py.
Comment 3 Brandon Perkins 2006-10-09 11:38:27 EDT
Verified.  Right now one has to manually:

yum -y install rhn-virtualization-guest

to get this to work, until Bugzilla Bug 209174: Issues with Activation Keys and
Kickstarts is fixed.
Comment 4 Brandon Perkins 2006-12-19 16:33:36 EST
Closed for RHN 500 Beta.

Note You need to log in before you can comment on or make changes to this bug.